<mat-sidenav-container>
    <mat-sidenav #sidenav role="navigation">
        <app-sidenav-list></app-sidenav-list>
    </mat-sidenav>
    <mat-sidenav-content>
        <app-header (sidenavToggle)="sidenav.toggle()"></app-header>
        <main>
            <app-alert></app-alert>
            <router-outlet></router-outlet>
        </main>
        <app-footer></app-footer>
    </mat-sidenav-content>
</mat-sidenav-container>
